///////////////////////////////////////////////////////////////////////////
// Windows Media Player Controls - Version 6.4
///////////////////////////////////////////////////////////////////////////

	StateList = new Array (15);

	StateList[0]  = "Stopped";
	StateList[1]  = "Paused";
	StateList[2]  = "Playing";
	StateList[3]  = "Waiting";
	StateList[4]  = "ScanForward";
	StateList[5]  = "ScanReverse";
	StateList[6]  = "Skipping to next";
	StateList[7]  = "Skipping to previous";
	StateList[8]  = "Stream is not open";


	OpenStateList = new Array (8);
	
	OpenStateList[0] = "Content file is closed";
	OpenStateList[1] = "Loading a Windows Media metafile";
	OpenStateList[2] = "Loading an .nsc station file";
	OpenStateList[3] = "Locating the server";
	OpenStateList[4] = "Connecting to the server";
	OpenStateList[5] = "Opening or listening for the stream";
	OpenStateList[6] = "Content file is open";

	var volumeOffset = 100;
	var minVolume    = -2500;
	
	var readyToClose = 0;

// Functions:
//				MP_GetObject()
//				MP_Url(url) [read/write]
//				MP_Play()
//				MP_Pause()
//				MP_Stop()
//				MP_Close()
//				MP_Speaker(state) [read/write]
//					state is one of: "on", "off"
//				MP_Volume(state) [read/write]
//					state is one of: "VolumeDown", "VolumeUp"
//				MP_CurrentState()
//				MP_GetStateString(state) 
//					state is one of: 0...8 s. return String from StateList
//				MP_VersionInfo()
//				MP_Tracker(state)
//					state is one of: "MBack", "MFastBack", "MForBack", "MForward"
//				MP_Version()
//				MP_Position( pos ) [read/write]

///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////

function MP_GetOpenState(){
	return mplayer.openState;
}


function MP_GetOpenStateChangeList(c_state){
	return OpenStateList[c_state]
}

///////////////////////////////////////////////////////////////////////////

function MP_GetObject()
{

	MP_Obj = "<object classid='clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95' id='mplayer' width='135' height='93'>"+
			  "<param name='AudioStream' value='1'>"+
			  "<param name='AutoSize' value='0'>"+
			  "<param name='AutoStart' value='0'>"+
			  "<param name='AnimationAtStart' value='1'>"+
			  "<param name='AllowScan' value='-1'>"+
			  "<param name='AllowChangeDisplaySize' value='0'>"+
			  "<param name='AutoRewind' value='0'>"+
			  "<param name='Balance' value='0'>"+
			  "<param name='BaseURL' value>"+
			  "<param name='BufferingTime' value='5'>"+
			  "<param name='CaptioningID' value>"+
			  "<param name='ClickToPlay' value='-1'>"+
			  "<param name='CursorType' value='0'>"+
			  "<param name='CurrentPosition' value='-1'>"+
			  "<param name='CurrentMarker' value='0'>"+
			  "<param name='DefaultFrame' value='0'>"+
			  "<param name='DisplayBackColor' value='0'>"+
			  "<param name='DisplayForeColor' value='16777215'>"+
			  "<param name='DisplayMode' value='0'>"+
			  "<param name='DisplaySize' value='0'>"+
			  "<param name='Enabled' value='-1'>"+
			  "<param name='EnableContextMenu' value='-1'>"+
			  "<param name='EnablePositionControls' value='1'>"+
			  "<param name='EnableFullScreenControls' value='0'>"+
			  "<param name='EnableTracker' value='-1'>"+
			  "<param name='Filename' value='leer' valuetype='ref'>"+
			  "<param name='InvokeURLs' value='-1'>"+
			  "<param name='Language' value='-1'>"+
			  "<param name='Mute' value='0'>"+
			  "<param name='PlayCount' value='1'>"+
			  "<param name='PreviewMode' value='0'>"+
			  "<param name='Rate' value='1'>"+
			  "<param name='SAMILang' value>"+
			  "<param name='SAMIStyle' value>"+
			  "<param name='SAMIFileName' value>"+
			  "<param name='SelectionStart' value='-1'>"+
			  "<param name='SelectionEnd' value='-1'>"+
			  "<param name='SendOpenStateChangeEvents' value='1'>"+
			  "<param name='SendWarningEvents' value='1'>"+
			  "<param name='SendErrorEvents' value='1'>"+
			  "<param name='SendKeyboardEvents' value='0'>"+
			  "<param name='SendMouseClickEvents' value='0'>"+
			  "<param name='SendMouseMoveEvents' value='0'>"+
			  "<param name='SendPlayStateChangeEvents' value='1'>"+
			  "<param name='ShowCaptioning' value='0'>"+
			  "<param name='ShowControls' value='0'>"+
			  "<param name='ShowAudioControls' value='0'>"+
			  "<param name='ShowDisplay' value='0'>"+
			  "<param name='ShowGotoBar' value='0'>"+
			  "<param name='ShowPositionControls' value='0'>"+
			  "<param name='ShowStatusBar' value='0'>"+
			  "<param name='ShowTracker' value='0'>"+
			  "<param name='TransparentAtStart' value='0'>"+
			  "<param name='VideoBorderWidth' value='0'>"+
			  "<param name='VideoBorderColor' value='0'>"+
			  "<param name='VideoBorder3D' value='0'>"+
			  "<param name='Volume' value='-10'>"+
			  "<param name='WindowlessVideo' value='0'>"+
			  "</object>";
	
	return MP_Obj;
}

///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
function MP_Url( _url )
{
	if ( MP_Url.arguments.length == 0 )
		return mplayer.Filename;
	else 
		mplayer.Filename = _url;
}
///////////////////////////////////////////////////////////////////////////
function MP_Play()
{
	readyToClose = 1;
	mplayer.Play();
}
///////////////////////////////////////////////////////////////////////////
function MP_Pause()
{
	mplayer.Pause();
}

///////////////////////////////////////////////////////////////////////////
function MP_Stop()
{
	if ( readyToClose != 0 )
		mplayer.Stop();
}
///////////////////////////////////////////////////////////////////////////
function MP_Close()
{
	
}
///////////////////////////////////////////////////////////////////////////
function MP_Speaker( state )
{
	if ( MP_Speaker.arguments.length == 0 )
		return mplayer.Mute ? "off" : "on";
	
	if ( state == "on")
		mplayer.Mute = false;
	else if ( state == "off")
		mplayer.Mute = true;
}
///////////////////////////////////////////////////////////////////////////
function MP_Volume( Vol_state )
{
	if ( MP_Volume.arguments.length == 0 )
		return parseInt( - mplayer.Volume  / 100 );

	Vol_state = parseInt( - ((-Vol_state * 100) + 10000));
	ReadVolume.value = Vol_state;
	mplayer.Volume = Vol_state;
	//alert('a');
	//return parseInt(vol70);
	

	
	return;

	if ( state == "VolumeDown"){
		if (mplayer.Volume == minVolume)
			return;
		if ( mplayer.Volume - volumeOffset < minVolume )
			mplayer.Volume = minVolume;
		else 
			mplayer.Volume = mplayer.Volume - volumeOffset;

	} else if ( state == "VolumeUp"){
		if (mplayer.Volume == 0)
			return;
		if ( mplayer.Volume + volumeOffset > 0 )
			mplayer.Volume = 0;
		else 
			mplayer.Volume = mplayer.Volume + volumeOffset;
	}

}
///////////////////////////////////////////////////////////////////////////
function MP_CurrentState()
{
	return mplayer.PlayState;
}
///////////////////////////////////////////////////////////////////////////
function MP_GetStateString( state )
{
	return StateList[state];

}
///////////////////////////////////////////////////////////////////////////
function MP_VersionInfo()
{
	return mplayer.versionInfo;
}
///////////////////////////////////////////////////////////////////////////
function MP_Tracker(state)
{

	if ( mplayer.SelectionEnd == 0 )
		return;

	offset = mplayer.SelectionEnd / 20;

	if ( state == 'MBack' ){
		mplayer.CurrentPosition = 0;
	} else if ( state == 'MFastBack' ){
		if ( mplayer.CurrentPosition > 0 )
			if ( (mplayer.CurrentPosition - offset) > 0)
				mplayer.CurrentPosition -= offset;
			else 
				mplayer.CurrentPosition = 0;
	} else if ( state == 'MForBack' ){
		if ( mplayer.CurrentPosition < mplayer.SelectionEnd )
			if ( (mplayer.CurrentPosition + offset) < mplayer.SelectionEnd)			
				mplayer.CurrentPosition += offset;	
			else 
				mplayer.CurrentPosition = mplayer.SelectionEnd ;
	} else if ( state == 'MForward' ){

		mplayer.CurrentPosition = mplayer.SelectionEnd;

	}
}

///////////////////////////////////////////////////////////////////////////
function MP_Version()
{
	return "6.4";
}
///////////////////////////////////////////////////////////////////////////
function MP_Position( pos )
{
	if ( MP_Position.arguments.length == 0 )
		return mplayer.CurrentPosition;

	mplayer.CurrentPosition = pos;
}
///////////////////////////////////////////////////////////////////////////
function MP_PositionEnd( )
{
	return mplayer.SelectionEnd;

}
///////////////////////////////////////////////////////////////////////////
function GetCurrentTime(){

}

function GetMaxTime(){

}

///////////////////////////////////////////////////////////////////////////
WaitForMP();