///////////////////////////////////////////////////////////////////////////
// Windows Media Player Support - Version 7.0 and 8.0
///////////////////////////////////////////////////////////////////////////

	StateList = new Array (15);

	StateList[0]  = "Undefined";
	StateList[1]  = "Stopped";
	StateList[2]  = "Paused";
	StateList[3]  = "Playing";
	StateList[4]  = "ScanForward";
	StateList[5]  = "ScanReverse";
	StateList[6]  = "Buffering";
	StateList[7]  = "Waiting";
	StateList[8]  = "MediaEnded";
	StateList[9]  = "Transitioning";
	StateList[10] = "Ready";

	OpenStateChangeList = new Array (22);
	
	OpenStateChangeList[0]  = "Windows Media Player is in an undefined state."
	OpenStateChangeList[1]  = "New playlist is about to be loaded."
	OpenStateChangeList[2]  = "Windows Media Player is attempting to locate the playlist. The playlist can be local (database or text file) or remote."
	OpenStateChangeList[3]  = "Connecting to the playlist."
	OpenStateChangeList[4]  = "Playlist has been found and is now being retrieved."
	OpenStateChangeList[5]  = "Playlist has been retrieved and is now being parsed and loaded."
	OpenStateChangeList[6]  = "Playlist is open."
	OpenStateChangeList[7]  = "A new playlist has been assigned to currentPlaylist."
	OpenStateChangeList[8]  = "New media is about to be loaded."
	OpenStateChangeList[9]  = "Windows Media Player is locating the media file. The file can be local or remote."
	OpenStateChangeList[10] = "Connecting to the server that holds the media."
	OpenStateChangeList[11] = "Media has been located and is now being retrieved."
	OpenStateChangeList[12] = "Media has been retrieved and is now being opened."
	OpenStateChangeList[13] = "Media is now open."
	OpenStateChangeList[14] = "Starting codec acquisition."
	OpenStateChangeList[15] = "Codec acquisition is complete."
	OpenStateChangeList[16] = "Acquiring a license to play DRM protected content.";
	OpenStateChangeList[17] = "License to play DRM protected content has been acquired.";
	OpenStateChangeList[18] = "Begin DRM Individualization.";
	OpenStateChangeList[19] = "DRM individualization has been completed.";
	OpenStateChangeList[20] = "Waiting for media."
	OpenStateChangeList[21] = "Opening a URL with an unknown type.";
	
	
	var volumeOffset = 10;
	var readyToClose = 0;

// Functions:
//				MP_GetObject()
//				MP_Url(url) [read/write]
//				MP_Play()
//				MP_Pause()
//				MP_Stop()
//				MP_Close()
//				MP_Speaker(state) [read/write]
//					state is one of: "on", "off"
//				MP_Volume(state) [read/write]
//					state is one of: "VolumeDown", "VolumeUp"
//				MP_CurrentState()
//				MP_GetStateString(state) 
//				MP_GetOpenState() 
//					state is one of: 0...10 s. return String from StateList
//				MP_VersionInfo()
//				MP_Tracker(state)
//					state is one of: "MBack", "MFastBack", "MForBack", "MForward"
//				MP_Version()
//				MP_Position( pos ) [read/write]

///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
function MP_GetOpenState(){
	return mplayer.OpenState;
}

function MP_GetOpenStateChangeList( state ){
	return OpenStateChangeList[state];
	
}

///////////////////////////////////////////////////////////////////////////

function MP_GetObject()
{

   MP_Obj = "<OBJECT classid=CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6 id=mplayer width='135' height='93'"+
			"standby='Loading Windows Media Player components...'>"+
			"<PARAM NAME='animationatStart' VALUE='1'>"+
			"<PARAM NAME='URL' VALUE=''>"+
			"<PARAM NAME='rate' VALUE='1'>"+
			"<PARAM NAME='balance' VALUE='0'>"+
			"<PARAM NAME='currentPosition' VALUE='0'>"+
			"<PARAM NAME='defaultFrame' VALUE=''>"+
			"<PARAM NAME='playCount' VALUE='1'>"+
			"<PARAM NAME='autoStart' VALUE='0'>"+
			"<PARAM NAME='currentMarker' VALUE='0'>"+
			"<PARAM NAME='invokeURLs' VALUE='-1'>"+
			"<PARAM NAME='baseURL' VALUE=''>"+
			"<PARAM NAME='volume' VALUE='50'>"+
			"<PARAM NAME='mute' VALUE='0'>"+
			"<PARAM NAME='uiMode' VALUE='none'>"+
			"<PARAM NAME='stretchToFit' VALUE='0'>"+
			"<PARAM NAME='windowlessVideo' VALUE='0'>"+
			"<PARAM NAME='enabled' VALUE='-1'>"+
			"<PARAM NAME='enableContextMenu' VALUE='-1'>"+
			"<PARAM NAME='fullScreen' VALUE='0'>"+
			"<PARAM NAME='SAMIStyle' VALUE=''>"+
			"<PARAM NAME='SAMILang' VALUE=''>"+
			"<PARAM NAME='SAMIFilename' VALUE=''>"+
			"<PARAM NAME='captioningID' VALUE=''>"+
			"<PARAM NAME='Name' VALUE=''>"+
			"</OBJECT>";

  return MP_Obj;

}
///////////////////////////////////////////////////////////////////////////


function MP_Url( _url )
{
	if ( MP_Url.arguments.length == 0 )
		return mplayer.url;
	else 
		mplayer.url = _url;
}
///////////////////////////////////////////////////////////////////////////
function MP_Play()
{
	readyToClose = 1;
	mplayer.controls.play();
}
///////////////////////////////////////////////////////////////////////////
function MP_Pause()
{
	mplayer.controls.pause();
}

///////////////////////////////////////////////////////////////////////////
function MP_Stop()
{
	if ( mplayer.controls.isAvailable("Stop") )
		mplayer.controls.stop();
}
///////////////////////////////////////////////////////////////////////////
function MP_Close()
{
	mplayer.close();
}
///////////////////////////////////////////////////////////////////////////
function MP_Speaker( state )
{
	if ( MP_Speaker.arguments.length == 0 )
		return mplayer.settings.mute ? "off" : "on";
	
	if ( state == "on")
		mplayer.settings.mute = false;
	else if ( state == "off")
		mplayer.settings.mute = true;
}
///////////////////////////////////////////////////////////////////////////
function MP_Volume( state )
{
	if ( MP_Volume.arguments.length == 0 )
		return mplayer.settings.volume;
		
	mplayer.settings.volume = state;
	
	return;
	
	if ( state == "VolumeDown"){
		if ( mplayer.settings.volume != 0 ){
			if (mplayer.settings.volume - volumeOffset < volumeOffset)
				mplayer.settings.volume = 0;
			else
				mplayer.settings.volume -= volumeOffset;
		}
	} else if ( state == "VolumeUp"){
			if (mplayer.settings.volume + volumeOffset > 100)
				mplayer.settings.volume = 100;
			else
				mplayer.settings.volume += volumeOffset;
	}
}
///////////////////////////////////////////////////////////////////////////
function MP_Tracker(state)
{
	//alert(mplayer.controls.SelectionEnd );
	
	//aa = mplayer.controls.SelectionEnd;
	//alert(mplayer.controls.CurrentPosition);
	//alert(mplayer.controls.currentPositionString);	
	//alert(aa);	
	
	
	if (state == "MBack"){
		mplayer.controls.CurrentPosition = 0;
	} else if (state == "MFastBack"){
		//mplayer.controls.fastForward();
		alert('MFastBack');
	} else if (state == "MForBack"){
		//mplayer.controls.fastReverse ();
		alert('MForBack');
	} else if (state == "MForward"){
		alert('MForward');
	}
	
}
///////////////////////////////////////////////////////////////////////////
function MP_CurrentState()
{
	return mplayer.playState;

}
///////////////////////////////////////////////////////////////////////////
function MP_GetStateString( state )
{
	return StateList[state];

}
///////////////////////////////////////////////////////////////////////////
function MP_VersionInfo()
{
	return mplayer.controls.versionInfo;
}
///////////////////////////////////////////////////////////////////////////
function MP_Version()
{
	return "7.01";
}
///////////////////////////////////////////////////////////////////////////
function MP_Position( pos )
{
	if ( MP_Position.arguments.length == 0 )
		return mplayer.controls.CurrentPosition;

	mplayer.controls.CurrentPosition = pos;
}
///////////////////////////////////////////////////////////////////////////
WaitForMP();